package com.zehong.system.domain.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import java.util.Date;

public class UserCourseVo {

    private Long userCourseId;

    private Long courseId;

    private String courseName;

    private String courseType;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date releaseTime;

    private Integer topicNum;

    private Integer qualifiedNum;

    private Integer state;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date examinationTime;

    private Integer examinationResult;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    private String dataKind;

    private Integer personnelType;
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date testStartTime;
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date  testEndTime;

    private Integer trainState;

    /**总分*/
    private Integer totalScore;

    /**多选题分数*/
    private Integer multipleChoiceScore;

    /**判断题分数*/
    private Integer judgmentScore;

    /**单选题分数*/
    private Integer singleChoiceScore;

    /** 已完成时长*/
    private Integer finishDuration;

    private Integer isVeriftyFace;

    public Long getUserCourseId() {
        return userCourseId;
    }

    public void setUserCourseId(Long userCourseId) {
        this.userCourseId = userCourseId;
    }

    public Long getCourseId() {
        return courseId;
    }

    public void setCourseId(Long courseId) {
        this.courseId = courseId;
    }

    public String getCourseName() {
        return courseName;
    }

    public void setCourseName(String courseName) {
        this.courseName = courseName;
    }

    public String getCourseType() {
        return courseType;
    }

    public void setCourseType(String courseType) {
        this.courseType = courseType;
    }

    public Date getReleaseTime() {
        return releaseTime;
    }

    public void setReleaseTime(Date releaseTime) {
        this.releaseTime = releaseTime;
    }

    public Integer getTopicNum() {
        return topicNum;
    }

    public void setTopicNum(Integer topicNum) {
        this.topicNum = topicNum;
    }

    public Integer getQualifiedNum() {
        return qualifiedNum;
    }

    public void setQualifiedNum(Integer qualifiedNum) {
        this.qualifiedNum = qualifiedNum;
    }

    public Integer getState() {
        return state;
    }

    public void setState(Integer state) {
        this.state = state;
    }

    public Date getExaminationTime() {
        return examinationTime;
    }

    public void setExaminationTime(Date examinationTime) {
        this.examinationTime = examinationTime;
    }

    public Integer getExaminationResult() {
        return examinationResult;
    }

    public void setExaminationResult(Integer examinationResult) {
        this.examinationResult = examinationResult;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getDataKind() {
        return dataKind;
    }

    public void setDataKind(String dataKind) {
        this.dataKind = dataKind;
    }

    public Integer getPersonnelType() {
        return personnelType;
    }

    public void setPersonnelType(Integer personnelType) {
        this.personnelType = personnelType;
    }

    public Date getTestStartTime() {
        return testStartTime;
    }

    public void setTestStartTime(Date testStartTime) {
        this.testStartTime = testStartTime;
    }

    public Date getTestEndTime() {
        return testEndTime;
    }

    public void setTestEndTime(Date testEndTime) {
        this.testEndTime = testEndTime;
    }

    public Integer getTrainState() {
        return trainState;
    }

    public void setTrainState(Integer trainState) {
        this.trainState = trainState;
    }

    public Integer getTotalScore() {
        return totalScore;
    }

    public void setTotalScore(Integer totalScore) {
        this.totalScore = totalScore;
    }

    public Integer getMultipleChoiceScore() {
        return multipleChoiceScore;
    }

    public void setMultipleChoiceScore(Integer multipleChoiceScore) {
        this.multipleChoiceScore = multipleChoiceScore;
    }

    public Integer getJudgmentScore() {
        return judgmentScore;
    }

    public void setJudgmentScore(Integer judgmentScore) {
        this.judgmentScore = judgmentScore;
    }

    public Integer getSingleChoiceScore() {
        return singleChoiceScore;
    }

    public void setSingleChoiceScore(Integer singleChoiceScore) {
        this.singleChoiceScore = singleChoiceScore;
    }

    public Integer getFinishDuration() {
        return finishDuration;
    }

    public void setFinishDuration(Integer finishDuration) {
        this.finishDuration = finishDuration;
    }

    public Integer getIsVeriftyFace() {
        return isVeriftyFace;
    }

    public void setIsVeriftyFace(Integer isVeriftyFace) {
        this.isVeriftyFace = isVeriftyFace;
    }
}
